{*
 The comment list is defined inside a tabsheet made with the jQuery $().tabs()
 With jQuery 1.2.6 (don't know how other release manage this) all the anchors <A> tags are considered as a tab.
 So, can't use <A href="link"> because href is modified by the jQuery function.
 Links are managed by an event onclick="document.location='link';"
*}

{footer_script}{literal}
  function editInside(url, text, imageId, key, index)
  {
    $('#editInside'+index).get(0).appendChild($("#formEditInside").get(0));
    $("#formEditInside").css('display', 'block');
    $('#feiKey').val(key);
    $('#feiImageId').val(imageId);
    $('#contentEditId').val(text);
    $('#editComment').attr('action', url);

  }
{/literal}{/footer_script}


<div id="formEditInside" style="display:none;">
  <form  method='post' action='' id='editComment'>
      {'Edit'|@translate}<br>
      <textarea name='content' id='contentEditId' rows='5' cols='80'></textarea></label><br>
      <input type='hidden' name='key' id='feiKey' value=''>
      <input type="hidden" name="pwg_token" id='feiToken' value="{$gally->getToken()}">
      <input type='hidden' name='image_id' id='feiImageId' value=''>
      <input class='submit' type='submit' value='{"Submit"|@translate}'>
  </form>
</div>

<ul class="commentList">
{foreach from=$comments item=comment name=comment_loop}
<li>
  <div class="commentDetail">
    {if isset($comment.src_image)}
    <div class="illustration">
      <a href="{$comment.U_PICTURE}">
        <img src="{$pwg->derivative_url($derivative_params, $comment.src_image)}" alt="{$comment.ALT}">
      </a>
    </div>
    {/if}
    <div class="description">
      {if isset($comment.U_DELETE) or isset($comment.U_VALIDATE) or isset($comment.U_EDIT)}
      <ul class="actions" style="float:right">
        {if isset($comment.U_DELETE)}
        <li>
          <span class="button id_delete" onclick="document.location='{$comment.U_DELETE}';" title="{'Delete'|@translate}"></span>
        </li>
        {/if}

        {if isset($comment.U_EDIT)}
        <li>
          <span class="button id_edit" onclick="editInside('{$comment.U_EDIT}#edit_comment', '{$comment.CONTENT|@escape}', {$gally->getCommentImage($comment.ID)}, '{$gally->getCommentKey($comment.ID)}', {$smarty.foreach.comment_loop.index});" title="{'Edit'|@translate}"></span>
        </li>
        {/if}
        {if isset($comment.U_VALIDATE)}
        <li>
          <span class="button id_validate" onclick="document.location='{$comment.U_VALIDATE}';" title="{'Validate'|@translate}"></span>
        </li>
        {/if}
      </ul>
      {/if}
      <span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>

      <div id="editInside{$smarty.foreach.comment_loop.index}">
        <blockquote>{$comment.CONTENT}</blockquote>
      </div>

    </div>
  </div>
</li>

{/foreach}
</ul>
